# Start status report
#
# Report meta data
#   Version:             YAML document version.
#   Creator:             App name (with quotes).
#   Created:             Report creation timestamp (ISO 8601 date and time).
#   Event:               IOF xml event name (with quotes), or, null (eg, if CSV import).
#
# Runner's data
#   Runner.Id:           IOF xml person id (with quotes), or, null (eg, if CSV import).
#   Runner.Bib:          Bib number (with quotes), or, null.
#   Runner.Name:         Name of runner (with quotes).
#   Runner.Org:          Organisation that the runner represents (with quotes).
#   Runner.Card:         Card number, or, null (eg, mechanical punching, runner without card).
#   Runner.StartTime:    Start time, one of: ISO 8601 date and time, or,
#                        time only (if no date, eg CSV import), or, null (eg, free start time).
#   Runner.ClassName:    Class in which the runner participates (with quotes).
#
# Status of runner
#   Runner.StartStatus:  "Started OK", "DNS", or, "Late start" (without quotes).
#   Runner.NewCard:      New/changed card number (skipped if null/empty).
#   Runner.Comment:      Free text (with quotes, skipped if null/empty).
#
# Timestamps for status changes (ISO 8601 date and time), set ChangeLog to null if no changes.
#   ChangeLog.DNS:       Timestamp for DNS (skipped if null/empty, ie, if Started OK).
#   ChangeLog.LateStart: Timestamp for Late start (ie, DNS => Late start, skipped if null/empty).
#   ChangeLog.NewCard:   Timestamp for entering new card number (skipped if no card change).
#   ChangeLog.Comment:   Timestamp for last edit of comment (skipped if no comment).
#   ChangeLog.NewRunner: Timestamp for manually added runner (skipped if not manually added).
#
# Report meta data
#   EndOfData:
#     NumRunners:        Number of runners included in this report.
#     NumLines:          Total number of lines, including this last line.

Version: 1.5
Creator: "O Checklist v4.1.0"
Created: 2024-10-12T12:45:04+02:00
Event:   "3. kolo ZHL Pardubičky"

Data:
  # Started OK, no changes.
  - Runner:
      StartStatus: Started OK
      Id:          "PRA1234"
      Name:        "Jana Nováková"
      Org:         "Praha"
      Card:        123456
      StartTime:   2024-10-12T12:31:00+02:00
      ClassName:   "D21"
    ChangeLog:     null

  # DNS.
  - Runner:
      StartStatus: DNS
      Id:          "BRN2345"
      Name:        "Marie Svobodová"
      Org:         "Brno"
      Card:        234567
      StartTime:   2024-10-12T12:33:00+02:00
      ClassName:   "D35"
    ChangeLog:
      DNS:         2024-10-12T12:34:56+02:00

  # Late start.
  - Runner:
      StartStatus: Late start
      Id:          "OST3456"
      Name:        "Eva Novotná"
      Org:         "Ostrava"
      Card:        345678
      StartTime:   2024-10-12T12:30:00+02:00
      ClassName:   "D16"
    ChangeLog:
      LateStart:   2024-10-12T12:37:02+02:00
      DNS:         2024-10-12T12:31:22+02:00

  # Card change.
  - Runner:
      NewCard:     987654
      StartStatus: Started OK
      Id:          "PLZ4567"
      Name:        "Jiří Dvořák"
      Org:         "Plzeň"
      Card:        456789
      StartTime:   2024-10-12T12:37:00+02:00
      ClassName:   "H65"
    ChangeLog:
      NewCard:     2024-10-12T12:35:34+02:00

  # Card change, Late start, and, Comment.
  - Runner:
      NewCard:     98765
      StartStatus: Late start
      Id:          "LIB5678"
      Name:        "Jan Černý"
      Org:         "Liberec"
      Card:        567890
      StartTime:   2024-10-12T12:37:00+02:00
      ClassName:   "H21"
      Comment:     "Sorry that I'm late with the wrong card."
    ChangeLog:
      NewCard:     2024-10-12T12:40:08+02:00
      LateStart:   2024-10-12T12:40:20+02:00
      DNS:         2024-10-12T12:38:51+02:00
      Comment:     2024-10-12T12:40:08+02:00

  # Runner without IOF xml person id and without start date, eg, from CSV import.
  - Runner:
      StartStatus: DNS
      Id:          null
      Name:        "Lukas Kettner"
      Org:         "OK Kamenice"
      Card:        885632
      StartTime:   12:28:00
      ClassName:   "H21"
    ChangeLog:
      DNS:         2024-10-12T12:39:46+02:00
        
  # Runner without card number and free start time.
  - Runner:
      NewCard:     887640
      StartStatus: Started OK
      Id:          "SHK0001"
      Name:        "Karolína Kettner"
      Org:         "OK Slavia Hradec Králové"
      Card:        null
      StartTime:   null
      ClassName:   "D21"
    ChangeLog:
      NewCard:     2024-10-12T12:41:06+02:00

  # New runner.
  - Runner:
      StartStatus: Started OK
      Id:          null
      Bib:         null
      Name:        "Alexandr Urban"
      Org:         "Jirkov"
      Card:        314159
      StartTime:   null
      ClassName:   "H10"
    ChangeLog:
      NewRunner:   2024-10-12T12:43:14+02:00

# Note: YAML document generated by app has no comments and no blank lines, ie, IRL 96 lines.
EndOfData:
  Runners:         8
  Lines:           96
      